@import url('https://fonts.googleapis.com/css?family=Roboto+Condensed');
@import url('https://fonts.googleapis.com/css?family=Megrim');
@import url('https://fonts.googleapis.com/css?family=Lekton');

.sidenav-container {
    height: 100%;
}
  
.sidenav {
    width: 200px;
    box-shadow: 3px 0 6px rgba(0,0,0,.24);
}

.sidenav-color {
    background: #E5E5E5;
}

.spacer {
    flex: 1 1 auto;
}

:host /deep/ .mat-expansion-panel-body {
    padding: 0px;
}

:host /deep/ .mat-nav-list .mat-list-item .mat-list-item-content {
    padding: 0 24px;
}

.menu-name {
    font-size: 20px;
    color: gray;
    font-family: 'Roboto Condensed', sans-serif;
}

.menu-name-master {
    font-size: 20px;
    color: gray;
    font-family: 'Roboto Condensed', sans-serif;
}

.mat-expansion-panel-header-title {
    color: gray;
}

.mat-expansion-panel-header {
    font-size: 20px;
    font-family: 'Roboto Condensed', sans-serif;
}

:host /deep/ .nav-list-master .nav-list-item-master .mat-list-item-content {
    padding: 0 30px;
}

.mat-nav-list {
    padding-top: 0px !important;
}

.mat-toolbar.mat-primary {
    background: #ed9999;
    color: #ffffff;
}

.mat-button-wrapper {
    color: #ffffff !important;
}

/* sidebar scroll */

.active-link{
  background-color:#ffcdd2 !important;
}

mat-sidenav::-webkit-scrollbar {
  width: 0.4em;
}

mat-sidenav::-webkit-scrollbar-track {
  box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
}

mat-sidenav::-webkit-scrollbar-thumb {
background-color: #2d6246;
outline: 1px solid rgb(60, 147, 235);
}

.logo{
    font-family: 'Megrim', cursive;
    font-size: 25px;
    margin: 0 auto;
}

.toolbar-name {
    font-family: 'Lekton', sans-serif;
    margin-top: 5px;
}

:host /deep/ .mat-toolbar {
    position: relative;
    z-index: 1;
}
/* 
.blinking {
    color: red;
    animation: blink 1s steps(2, start) infinite;
    }
    
@keyframes blink {
    to { color: yellow; }
    } */

    .kiran:hover {
        animation: shake 0.5s;
        animation-iteration-count: infinite;
      }
      
      @keyframes shake {
        0% { transform: translate(1px, 1px) rotate(0deg); }
        10% { transform: translate(-1px, -2px) rotate(-1deg); }
        20% { transform: translate(-3px, 0px) rotate(1deg); }
        30% { transform: translate(3px, 2px) rotate(0deg); }
        40% { transform: translate(1px, -1px) rotate(1deg); }
        50% { transform: translate(-1px, 2px) rotate(-1deg); }
        60% { transform: translate(-3px, 1px) rotate(0deg); }
        70% { transform: translate(3px, 1px) rotate(-1deg); }
        80% { transform: translate(-1px, -1px) rotate(1deg); }
        90% { transform: translate(1px, 2px) rotate(0deg); }
        100% { transform: translate(1px, -2px) rotate(-1deg); }
      }


